## mauikit-imagetools 4.0.2

=== debian/changelog ===
mauikit-imagetools (4.0.2-0zneon+24.04+noble+release+build9) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 09 Oct 2025 11:52:04 +0000

mauikit-imagetools (4.0.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 30 May 2025 07:29:17 +0000

mauikit-imagetools (4.0.1-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 11 Dec 2024 07:29:10 +0000

mauikit-imagetools (4.0.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 May 2023 07:29:05 +0000

mauikit-imagetools (3.1.0-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sun, 25 Feb 2024 07:29:08 +0000

mauikit-imagetools (3.0.2-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Sat, 02 Dec 2023 07:29:07 +0000

mauikit-imagetools (3.0.1-0neon) jammy; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Thu, 25 May 2023 07:29:05 +0000

mauikit-imagetools (2.2.2) unstable; urgency=medium

  * Initial release

 -- Jonathan Riddell <jr@jriddell.org>  Tue, 04 May 2020 19:57:31 +0000
