## mauikit-imagetools 4.0.2+p24.04+vstable+git20250903.0105

=== debian/changelog ===
mauikit-imagetools (4.0.2+p24.04+vstable+git20250903.0105-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 03 Sep 2025 01:05:47 +0000
