=== debian/changelog ===
mauikit-imagetools (4.0.2+p24.04+vstable+git20251013.2233-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 13 Oct 2025 22:33:30 +0000
