=== debian/control ===
Source: mauikit-imagetools
Section: kde
Priority: optional
Build-Depends: cmake,
               debhelper-compat (= 13),
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-ki18n-dev,
               kquickimageeditor-dev,
               libexiv2-dev,
               libkexiv2-dev,
               libleptonica-dev,
               libopencv-dev,
               libtesseract-dev,
               mauikit-dev,
               mauiman-dev,
               ninja-build,
               qt6-5compat-dev,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-positioning-dev
Standards-Version: 4.6.2
Homepage: https://mauikit.org/
Vcs-Git: https://invent.kde.org/neon/neon-packaging/mauikit-imagetools.git
Vcs-Browser: https://invent.kde.org/neon/neon-packaging/mauikit-imagetools
Maintainer: Neon CI <neon@kde.org>

Package: qml6-module-org-mauikit-imagetools
Architecture: any
Depends: libmauikit,
         libmauikitimagetools4,
         qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-kquickimageeditor,
         qml6-module-org-maui-mauikit,
         qml6-module-qt-labs-qmlmodels,
         qml6-module-qt-labs-settings,
         qml6-module-qtquick-controls,
         qml6-module-qtquick-shapes,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: qml-module-org-mauikit-imagetools (<< 4.0.0)
Replaces: qml-module-org-mauikit-imagetools (<< 4.0.0)
Description: MauiKit Image Tools Components
 This package contains the mauikit image tools qml module.

Package: libmauikitimagetools4
Architecture: any
Depends: qml6-module-org-mauikit-imagetools, ${misc:Depends}, ${shlibs:Depends}
Breaks: libmauikitimagetools3 (<< 4.0.0)
Replaces: libmauikitimagetools3 (<< 4.0.0)
Description: MauiKit Image Tools Components
 This package contains the mauikit image tools library.

Package: libmauikitimagetools-dev
Architecture: any
Depends: libmauikitimagetools4 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
         ${shlibs:Depends}
Description: MauiKit Image Tools Components
 This package contains mauikit image tools development files.

Package: libmauikitimagetools3
Architecture: all
Depends: libmauikitimagetools4, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: qml-module-org-mauikit-imagetools
Architecture: all
Depends: qml6-module-org-mauikit-imagetools, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
