## mauikit-imagetools 4.0.2+p24.04+vstable+git20260107.0803

=== debian/changelog ===
mauikit-imagetools (4.0.2+p24.04+vstable+git20260107.0803-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 08:03:41 +0000
