## mauikit-imagetools 4.0.2+p24.04+vstable+git20260122.0545

=== debian/changelog ===
mauikit-imagetools (4.0.2+p24.04+vstable+git20260122.0545-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 22 Jan 2026 05:45:53 +0000
