## mauikit-imagetools 4.0.2+p24.04+vstable+git20260130.0946

=== debian/changelog ===
mauikit-imagetools (4.0.2+p24.04+vstable+git20260130.0946-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 09:46:47 +0000
