## mauikit-imagetools 4.0.2+p24.04+vunstable+git20251123.1833

=== debian/changelog ===
mauikit-imagetools (4.0.2+p24.04+vunstable+git20251123.1833-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 23 Nov 2025 18:34:08 +0000
