## mauikit-imagetools 4.0.2+p24.04+vunstable+git20260130.1252

=== debian/changelog ===
mauikit-imagetools (4.0.2+p24.04+vunstable+git20260130.1252-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 30 Jan 2026 12:53:01 +0000
